Subject: Re: [PATCH] Allow "clone --dissociate" to dissociate from alternates

From: Alexander Riesen <[email-masked]>
Date: Wed, 21 Oct 2015 10:13:22 +0200

Reminder. Is this (or rather the one I'm replying to) patch a better option?

Regards,
Alex

On 10/15/2015 04:38 PM, Alexander Riesen wrote:
> The option requiring the explicit reference repositories is a bit of overkill:
> the alternates in the original repository *are* reference repositories and
> would be dissociated from should one pass any reference repository (even an
> unrelated one).
>
> Signed-off-by: Alex Riesen <[email-masked]>
> ---
>
> On 10/15/2015 04:11 PM, Johannes Schindelin wrote:
>> On Thu, 15 Oct 2015, Alexander  Riesen wrote:
> >
> >> The "--dissociate" option required reference repositories, which sometimes
> >> demanded a look into the objects/info/alternates by the user. As this
> >> is something which can be figured out automatically, do it in the
> >> clone unless there is no other reference repositories.
> >
> > Would it not make sense to reuse the copy_alternates() function to simply
> > copy the alternates and let `--dissociate` run its course with the copied
> > .objects/info/alternate file? That would make for less new code...
>
> IIUC, I should validate the alternates in the source repository...
> But, the only thing the user looses if it is not validated, is the nice
> warning regarding no reference repositories to dissociate from, right?
>
> So maybe we can just remove the reset of option_dissociate and be done with
> it? I would actually suggest removing the warning as well: the alternates are
> something to dissociate from. And I see no harm otherwise.
>
> How about this instead?
>